Package org.apache.calcite.avatica

# Class MetaImpl.MetaTypeInfo

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaTypeInfo

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaTypeInfo extends Object implements MetaImpl.Named
Metadata describing type info.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`autoIncrement`
`final boolean`
`caseSensitive`
`final String`
`createParams`
`final int`
`dataType`
`final boolean`
`fixedPrecScale`
`final String`
`literalPrefix`
`final String`
`literalSuffix`
`final String`
`localTypeName`
`final Short`
`maximumScale`
`final Short`
`minimumScale`
`final short`
`nullable`
`final Integer`
`numPrecRadix`
`final Integer`
`precision`
`final short`
`searchable`
`final Integer`
`sqlDataType`
`final Integer`
`sqlDatetimeSub`
`final String`
`typeName`
`final boolean`
`unsignedAttribute`

## Constructor Summary

Constructors
Constructor
Description
`MetaTypeInfo(String typeName, int dataType, Integer precision, String literalPrefix, String literalSuffix, short nullable, boolean caseSensitive, short searchable, boolean unsignedAttribute, boolean fixedPrecScale, boolean autoIncrement, Short minimumScale, Short maximumScale, Integer numPrecRadix)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeName

public final String typeName

### dataType

public final int dataType

### precision

public final Integer precision

### literalPrefix

public final String literalPrefix

### literalSuffix

public final String literalSuffix

### createParams

public final String createParams

### nullable

public final short nullable

### caseSensitive

public final boolean caseSensitive

### searchable

public final short searchable

### unsignedAttribute

public final boolean unsignedAttribute

### fixedPrecScale

public final boolean fixedPrecScale

### autoIncrement

public final boolean autoIncrement

### localTypeName

public final String localTypeName

### minimumScale

public final Short minimumScale

### maximumScale

public final Short maximumScale

### sqlDataType

public final Integer sqlDataType

### sqlDatetimeSub

public final Integer sqlDatetimeSub

### numPrecRadix

public final Integer numPrecRadix

## Constructor Details

### MetaTypeInfo

public MetaTypeInfo(String typeName, int dataType, Integer precision, String literalPrefix, String literalSuffix, short nullable, boolean caseSensitive, short searchable, boolean unsignedAttribute, boolean fixedPrecScale, boolean autoIncrement, Short minimumScale, Short maximumScale, Integer numPrecRadix)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`